Subject: Re: uart.c: avoid changing parameter RAM on-the-fly for the console

From: Dan Malek <[email-masked]>
Date: Thu, 3 Feb 2005 10:43:55 -0500

On Feb 3, 2005, at 10:17 AM, Steffen Rumler wrote:

> According to Motorola this is _NOT_ allowed and dangerous.

:-)  yeah, ok ...

> I suggest to do this inside rs_8xx_init() and startup() as shown
> in the patch below.

would you please read Documentation/CodingStyle and
try sending the patch again?

Although it doesn't make too much difference in this case,
2.4.20 is pretty old and it helps to get patches against
the latest kernels.

> With this fix, the modules hanging before can boot now.

I suspect there is something else amiss, but I'll take a
look at it.  What is the speed of the processor and the
baud rate?

Thanks.

	-- Dan